Package biotransformer.utils

## Class HumanSuperBioTransformer

- java.lang.Object
- - biotransformer.utils.HumanSuperBioTransformer

    public class HumanSuperBioTransformer
    extends java.lang.Object

### Field Summary

Fields
`org.openscience.cdk.smiles.SmilesGenerator` `smiGen`
`org.openscience.cdk.smiles.SmilesParser` `smiParser`

### Constructor Summary

Constructors
`HumanSuperBioTransformer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.ArrayList<Biotransformation>` `applyGutMicrobialMetabolismHydrolysisAndRedoxChain​(org.openscience.cdk.interfaces.IAtomContainerSet molecules, boolean preprocess, boolean filter, int nrOfSteps, java.lang.Double scoreThreshold)`
`java.util.ArrayList<Biotransformation>` `applyPathwaySpecificBiotransformations​(org.openscience.cdk.interfaces.IAtomContainer molecule, MetabolicPathway.MPathwayName pathway, boolean preprocess, boolean filter, double scoreThreshold)`
`java.util.ArrayList<Biotransformation>` `applyPhaseIITransformationsChainAndReturnBiotransformations​(org.openscience.cdk.interfaces.IAtomContainerSet products, int nrOfSteps, double scoreThreshold)`
`org.openscience.cdk.interfaces.IAtomContainerSet` `extractAtomContainer​(java.util.ArrayList<Biotransformation> biotransformations)`
`org.openscience.cdk.interfaces.IAtomContainerSet` `extractAtomContainerWithTransformationData​(java.util.ArrayList<Biotransformation> biotransformations, boolean annotate)`
`org.openscience.cdk.inchi.InChIGeneratorFactory` `getInChIGenFactory()`
`java.util.LinkedHashMap<java.lang.String,​org.openscience.cdk.interfaces.IAtomContainerSet>` `partitionSetForPhaseIIMetabolism​(org.openscience.cdk.interfaces.IAtomContainerSet products)`
`java.util.ArrayList<Biotransformation>` `predictAllHumanBiotransformationChain​(org.openscience.cdk.interfaces.IAtomContainer substrate, int nrOfSteps, double threshold)`
`java.util.ArrayList<Biotransformation>` `predictAllHumanBiotransformationChain​(org.openscience.cdk.interfaces.IAtomContainerSet containers, int nrOfSteps, double threshold)`
`void` `predictAllHumanBiotransformationChainAndSaveToCSV​(org.openscience.cdk.interfaces.IAtomContainer substrate, int nrOfSteps, double threshold, java.lang.String outputFileName, boolean annotate)`
`void` `predictAllHumanBiotransformationChainAndSaveToCSV​(org.openscience.cdk.interfaces.IAtomContainerSet containers, int nrOfSteps, double threshold, java.lang.String outputFileName, boolean annotate)`
`void` `predictAllHumanBiotransformationChainAndSaveToSDF​(org.openscience.cdk.interfaces.IAtomContainer substrate, int nrOfSteps, double threshold, java.lang.String outputFileName, boolean annotate)`
`void` `predictAllHumanBiotransformationChainAndSaveToSDF​(org.openscience.cdk.interfaces.IAtomContainerSet containers, int nrOfSteps, double threshold, java.lang.String outputFileName, boolean annotate)`
`void` `predictMetabolismAllHumanFromSDFAndSavetoSDF​(java.lang.String inputFileName, java.lang.String outputF, double screThreshold, boolean annotate)`
`void` `predictMetabolismAllHumanFromSDFAndSavetoSDF​(java.lang.String inputFileName, java.lang.String outputFileName, int nrOfSteps, boolean annotate)`
`void` `predictMetabolismAllHumanFromSDFAndSavetoSDF​(java.lang.String inputFileName, java.lang.String outputFolder, int nrOfSteps, double scoreThreshold, boolean annotate)`
`void` `predictMetabolismAllHumanFromSDFAndSavetoSingleSDF​(java.lang.String inputFileName, java.lang.String outputFileName, int nrOfSteps, double scoreThreshold, boolean annotate)`
`void` `predictMetabolismAllHumanFromSDFtoSDF​(java.lang.String inputFileName, java.lang.String outputFileName, boolean annotate)`
`void` `saveBioTransformationProductsToCSV​(java.util.ArrayList<Biotransformation> biotransformations, java.lang.String outputFileName, boolean annotate)`
`void` `saveBioTransformationProductsToSdf​(java.util.ArrayList<Biotransformation> biotransformations, java.lang.String outputFileName, boolean annotate)`
`java.util.ArrayList<Biotransformation>` `simulateAllHumanMetabolism​(org.openscience.cdk.interfaces.IAtomContainerSet containers, double scoreThreshold)`
`void` `simulateAllHumanMetabolismAndSavetoCSV​(org.openscience.cdk.interfaces.IAtomContainer molecule, java.lang.String outputFileName, double scoreThreshold, boolean annotate)`
`void` `simulateAllHumanMetabolismAndSavetoSDF​(org.openscience.cdk.interfaces.IAtomContainer molecule, java.lang.String outputFileName, double scoreThreshold, boolean annotate)`
`void` `simulateAllHumanMetabolismAndSavetoSDF​(org.openscience.cdk.interfaces.IAtomContainerSet containers, java.lang.String outputFileName, double scoreThreshold, boolean annotate)`
`java.util.ArrayList<Biotransformation>` `simulateECBasedPhaseIMetabolismChain​(org.openscience.cdk.interfaces.IAtomContainerSet molecules, boolean preprocess, boolean filter, int nrOfSteps, java.lang.Double scoreThreshold)`
`java.util.ArrayList<Biotransformation>` `simulateGutMicrobialMetabolism​(org.openscience.cdk.interfaces.IAtomContainer molecule, int nrOfSteps, double scoreThreshold)`
`java.util.ArrayList<Biotransformation>` `simulateHumanSuperbioMetabolism​(org.openscience.cdk.interfaces.IAtomContainer target)`
`java.util.ArrayList<Biotransformation>` `simulateHumanSuperbioMetabolism​(org.openscience.cdk.interfaces.IAtomContainer target, java.lang.Double scoreThreshold)`
`void` `simulateHumanSuperbioMetabolismAndSaveToCSV​(org.openscience.cdk.interfaces.IAtomContainer molecule, java.lang.String outputFileName, boolean annotate)`
`void` `simulateHumanSuperbioMetabolismAndSaveToSDF​(org.openscience.cdk.interfaces.IAtomContainer molecule, java.lang.String outputFileName, boolean annotate)`
`void` `simulateHumanSuperbioMetabolismAndSaveToSDF​(org.openscience.cdk.interfaces.IAtomContainerSet containers, java.lang.String outputFolder, boolean annotate)`
`void` `simulateHumanSuperbioMetabolismFromSDF​(java.lang.String inputFileName, boolean annotate)`
`void` `simulateHumanSuperbioMetabolismFromSDF​(java.lang.String inputFileName, java.lang.String outputFolder, boolean annotate)`
`void` `simulateHumanSuperbioMetabolismFromSDFtoSingleCSV​(java.lang.String inputFileName, java.lang.String outputFileName, boolean annotate)`
`void` `simulateHumanSuperbioMetabolismFromSDFtoSingleSDF​(java.lang.String inputFileName, java.lang.String outputFileName, boolean annotate)`
`java.util.ArrayList<Biotransformation>` `simulateOneStepAllHuman​(org.openscience.cdk.interfaces.IAtomContainer target)`
`java.util.ArrayList<Biotransformation>` `simulateOneStepAllHuman​(org.openscience.cdk.interfaces.IAtomContainer target, double scoreThreshold)`
`java.util.ArrayList<Biotransformation>` `simulateOneStepAllHuman​(org.openscience.cdk.interfaces.IAtomContainerSet targets, double scoreThreshold)`
`org.openscience.cdk.interfaces.IAtomContainer` `standardizeMoleculeWithCopy​(org.openscience.cdk.interfaces.IAtomContainer target)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### smiParser

    public org.openscience.cdk.smiles.SmilesParser smiParser

#### smiGen

    public org.openscience.cdk.smiles.SmilesGenerator smiGen

### Constructor Detail

#### HumanSuperBioTransformer

    public HumanSuperBioTransformer()
                             throws java.io.IOException,
                                    org.json.simple.parser.ParseException,
                                    org.openscience.cdk.exception.CDKException

Throws:
  `java.io.IOException`
  `org.json.simple.parser.ParseException`
  `org.openscience.cdk.exception.CDKException`

### Method Detail

#### getInChIGenFactory

    public org.openscience.cdk.inchi.InChIGeneratorFactory getInChIGenFactory()

#### simulateHumanSuperbioMetabolism

    public java.util.ArrayList<Biotransformation> simulateHumanSuperbioMetabolism​(org.openscience.cdk.interfaces.IAtomContainer target)
                                                                           throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### simulateHumanSuperbioMetabolism

    public java.util.ArrayList<Biotransformation> simulateHumanSuperbioMetabolism​(org.openscience.cdk.interfaces.IAtomContainer target,
                                                                                  java.lang.Double scoreThreshold)
                                                                           throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### simulateHumanSuperbioMetabolismAndSaveToSDF

    public void simulateHumanSuperbioMetabolismAndSaveToSDF​(org.openscience.cdk.interfaces.IAtomContainer molecule,
                                                            java.lang.String outputFileName,
                                                            boolean annotate)
                                                     throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### simulateHumanSuperbioMetabolismFromSDF

    public void simulateHumanSuperbioMetabolismFromSDF​(java.lang.String inputFileName,
                                                       boolean annotate)
                                                throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### simulateHumanSuperbioMetabolismFromSDF

    public void simulateHumanSuperbioMetabolismFromSDF​(java.lang.String inputFileName,
                                                       java.lang.String outputFolder,
                                                       boolean annotate)
                                                throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### simulateHumanSuperbioMetabolismAndSaveToSDF

    public void simulateHumanSuperbioMetabolismAndSaveToSDF​(org.openscience.cdk.interfaces.IAtomContainerSet containers,
                                                            java.lang.String outputFolder,
                                                            boolean annotate)
                                                     throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### simulateHumanSuperbioMetabolismAndSaveToCSV

    public void simulateHumanSuperbioMetabolismAndSaveToCSV​(org.openscience.cdk.interfaces.IAtomContainer molecule,
                                                            java.lang.String outputFileName,
                                                            boolean annotate)
                                                     throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### simulateAllHumanMetabolism

    public java.util.ArrayList<Biotransformation> simulateAllHumanMetabolism​(org.openscience.cdk.interfaces.IAtomContainerSet containers,
                                                                             double scoreThreshold)
                                                                      throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### simulateAllHumanMetabolismAndSavetoCSV

    public void simulateAllHumanMetabolismAndSavetoCSV​(org.openscience.cdk.interfaces.IAtomContainer molecule,
                                                       java.lang.String outputFileName,
                                                       double scoreThreshold,
                                                       boolean annotate)
                                                throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### simulateAllHumanMetabolismAndSavetoSDF

    public void simulateAllHumanMetabolismAndSavetoSDF​(org.openscience.cdk.interfaces.IAtomContainer molecule,
                                                       java.lang.String outputFileName,
                                                       double scoreThreshold,
                                                       boolean annotate)
                                                throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### predictAllHumanBiotransformationChainAndSaveToCSV

    public void predictAllHumanBiotransformationChainAndSaveToCSV​(org.openscience.cdk.interfaces.IAtomContainer substrate,
                                                                  int nrOfSteps,
                                                                  double threshold,
                                                                  java.lang.String outputFileName,
                                                                  boolean annotate)

#### predictAllHumanBiotransformationChainAndSaveToCSV

    public void predictAllHumanBiotransformationChainAndSaveToCSV​(org.openscience.cdk.interfaces.IAtomContainerSet containers,
                                                                  int nrOfSteps,
                                                                  double threshold,
                                                                  java.lang.String outputFileName,
                                                                  boolean annotate)

#### predictAllHumanBiotransformationChainAndSaveToSDF

    public void predictAllHumanBiotransformationChainAndSaveToSDF​(org.openscience.cdk.interfaces.IAtomContainerSet containers,
                                                                  int nrOfSteps,
                                                                  double threshold,
                                                                  java.lang.String outputFileName,
                                                                  boolean annotate)

#### simulateAllHumanMetabolismAndSavetoSDF

    public void simulateAllHumanMetabolismAndSavetoSDF​(org.openscience.cdk.interfaces.IAtomContainerSet containers,
                                                       java.lang.String outputFileName,
                                                       double scoreThreshold,
                                                       boolean annotate)
                                                throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### partitionSetForPhaseIIMetabolism

    public java.util.LinkedHashMap<java.lang.String,​org.openscience.cdk.interfaces.IAtomContainerSet> partitionSetForPhaseIIMetabolism​(org.openscience.cdk.interfaces.IAtomContainerSet products)
                                                                                                                                      throws org.openscience.cdk.exception.CDKException,
                                                                                                                                             java.lang.Exception

Throws:
  `org.openscience.cdk.exception.CDKException`
  `java.lang.Exception`

#### simulateHumanSuperbioMetabolismFromSDFtoSingleSDF

    public void simulateHumanSuperbioMetabolismFromSDFtoSingleSDF​(java.lang.String inputFileName,
                                                                  java.lang.String outputFileName,
                                                                  boolean annotate)
                                                           throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### simulateHumanSuperbioMetabolismFromSDFtoSingleCSV

    public void simulateHumanSuperbioMetabolismFromSDFtoSingleCSV​(java.lang.String inputFileName,
                                                                  java.lang.String outputFileName,
                                                                  boolean annotate)
                                                           throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### simulateOneStepAllHuman

    public java.util.ArrayList<Biotransformation> simulateOneStepAllHuman​(org.openscience.cdk.interfaces.IAtomContainer target)
                                                                   throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### simulateOneStepAllHuman

    public java.util.ArrayList<Biotransformation> simulateOneStepAllHuman​(org.openscience.cdk.interfaces.IAtomContainer target,
                                                                          double scoreThreshold)
                                                                   throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### applyPathwaySpecificBiotransformations

    public java.util.ArrayList<Biotransformation> applyPathwaySpecificBiotransformations​(org.openscience.cdk.interfaces.IAtomContainer molecule,
                                                                                         MetabolicPathway.MPathwayName pathway,
                                                                                         boolean preprocess,
                                                                                         boolean filter,
                                                                                         double scoreThreshold)
                                                                                  throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### simulateGutMicrobialMetabolism

    public java.util.ArrayList<Biotransformation> simulateGutMicrobialMetabolism​(org.openscience.cdk.interfaces.IAtomContainer molecule,
                                                                                 int nrOfSteps,
                                                                                 double scoreThreshold)
                                                                          throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### applyPhaseIITransformationsChainAndReturnBiotransformations

    public java.util.ArrayList<Biotransformation> applyPhaseIITransformationsChainAndReturnBiotransformations​(org.openscience.cdk.interfaces.IAtomContainerSet products,
                                                                                                              int nrOfSteps,
                                                                                                              double scoreThreshold)
                                                                                                       throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### simulateECBasedPhaseIMetabolismChain

    public java.util.ArrayList<Biotransformation> simulateECBasedPhaseIMetabolismChain​(org.openscience.cdk.interfaces.IAtomContainerSet molecules,
                                                                                       boolean preprocess,
                                                                                       boolean filter,
                                                                                       int nrOfSteps,
                                                                                       java.lang.Double scoreThreshold)
                                                                                throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### simulateOneStepAllHuman

    public java.util.ArrayList<Biotransformation> simulateOneStepAllHuman​(org.openscience.cdk.interfaces.IAtomContainerSet targets,
                                                                          double scoreThreshold)
                                                                   throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### predictAllHumanBiotransformationChain

    public java.util.ArrayList<Biotransformation> predictAllHumanBiotransformationChain​(org.openscience.cdk.interfaces.IAtomContainer substrate,
                                                                                        int nrOfSteps,
                                                                                        double threshold)
                                                                                 throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### predictAllHumanBiotransformationChain

    public java.util.ArrayList<Biotransformation> predictAllHumanBiotransformationChain​(org.openscience.cdk.interfaces.IAtomContainerSet containers,
                                                                                        int nrOfSteps,
                                                                                        double threshold)
                                                                                 throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### predictMetabolismAllHumanFromSDFtoSDF

    public void predictMetabolismAllHumanFromSDFtoSDF​(java.lang.String inputFileName,
                                                      java.lang.String outputFileName,
                                                      boolean annotate)
                                               throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### predictAllHumanBiotransformationChainAndSaveToSDF

    public void predictAllHumanBiotransformationChainAndSaveToSDF​(org.openscience.cdk.interfaces.IAtomContainer substrate,
                                                                  int nrOfSteps,
                                                                  double threshold,
                                                                  java.lang.String outputFileName,
                                                                  boolean annotate)
                                                           throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### predictMetabolismAllHumanFromSDFAndSavetoSDF

    public void predictMetabolismAllHumanFromSDFAndSavetoSDF​(java.lang.String inputFileName,
                                                             java.lang.String outputFileName,
                                                             int nrOfSteps,
                                                             boolean annotate)
                                                      throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### predictMetabolismAllHumanFromSDFAndSavetoSDF

    public void predictMetabolismAllHumanFromSDFAndSavetoSDF​(java.lang.String inputFileName,
                                                             java.lang.String outputF,
                                                             double screThreshold,
                                                             boolean annotate)
                                                      throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### predictMetabolismAllHumanFromSDFAndSavetoSDF

    public void predictMetabolismAllHumanFromSDFAndSavetoSDF​(java.lang.String inputFileName,
                                                             java.lang.String outputFolder,
                                                             int nrOfSteps,
                                                             double scoreThreshold,
                                                             boolean annotate)
                                                      throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### predictMetabolismAllHumanFromSDFAndSavetoSingleSDF

    public void predictMetabolismAllHumanFromSDFAndSavetoSingleSDF​(java.lang.String inputFileName,
                                                                   java.lang.String outputFileName,
                                                                   int nrOfSteps,
                                                                   double scoreThreshold,
                                                                   boolean annotate)
                                                            throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### standardizeMoleculeWithCopy

    public org.openscience.cdk.interfaces.IAtomContainer standardizeMoleculeWithCopy​(org.openscience.cdk.interfaces.IAtomContainer target)
                                                                              throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### applyGutMicrobialMetabolismHydrolysisAndRedoxChain

    public java.util.ArrayList<Biotransformation> applyGutMicrobialMetabolismHydrolysisAndRedoxChain​(org.openscience.cdk.interfaces.IAtomContainerSet molecules,
                                                                                                     boolean preprocess,
                                                                                                     boolean filter,
                                                                                                     int nrOfSteps,
                                                                                                     java.lang.Double scoreThreshold)
                                                                                              throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### extractAtomContainer

    public org.openscience.cdk.interfaces.IAtomContainerSet extractAtomContainer​(java.util.ArrayList<Biotransformation> biotransformations)
                                                                          throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### extractAtomContainerWithTransformationData

    public org.openscience.cdk.interfaces.IAtomContainerSet extractAtomContainerWithTransformationData​(java.util.ArrayList<Biotransformation> biotransformations,
                                                                                                       boolean annotate)
                                                                                                throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### saveBioTransformationProductsToSdf

    public void saveBioTransformationProductsToSdf​(java.util.ArrayList<Biotransformation> biotransformations,
                                                   java.lang.String outputFileName,
                                                   boolean annotate)
                                            throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### saveBioTransformationProductsToCSV

    public void saveBioTransformationProductsToCSV​(java.util.ArrayList<Biotransformation> biotransformations,
                                                   java.lang.String outputFileName,
                                                   boolean annotate)
                                            throws java.lang.Exception

Throws:
  `java.lang.Exception`